Package org.eclipse.rdf4j.query.algebra.evaluation.function.string

## Class StrLen

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.function.string.StrLen

- All Implemented Interfaces:
    `Function`

      public class StrLen
      extends Object
      implements Function

  The SPARQL built-in `Function` STRLEN, as defined in SPARQL Query Language for RDF
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StrLen()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Literal` | `evaluate​(ValueFactory valueFactory, Value... args)` | Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
    `String` | `getURI()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.function.Function

      `evaluate, mustReturnDifferentResult`

- - ### Constructor Detail

    - #### StrLen

          public StrLen()

  - ### Method Detail

    - #### getURI

          public String getURI()

      Specified by:
        `getURI` in interface `Function`

    - #### evaluate

          public Literal evaluate​(ValueFactory valueFactory,
                                  Value... args)
                           throws ValueExprEvaluationException

      Description copied from interface: `Function`
      Evaluate the function over the supplied input arguments, using the supplied `ValueFactory` to produce the result.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `valueFactory` - a `ValueFactory` to use for producing the function result.
        `args` - the function input arguments.
      Returns:
        the function result value.
      Throws:
        `ValueExprEvaluationException`